import pandas as pd
# Load the experiment results
df = pd.read_csv("../../data/ring/ring.2.a.csv")
# Calculate the accuracy by model and belief
accuracy_table = df.groupby(["Model", "Belief"])["rationality"].mean().unstack()
desired_order = ["Given", "Explicit", "Implicit"]
accuracy_table = accuracy_table.reindex(columns=desired_order)
# Display the table
print(accuracy_table)
# Save the table as a CSV file for future use
accuracy_table.to_csv("../../figures/ring/ring_accuracy.2.a.csv")